#ifndef SIGNAL_PROPERTIES
#define SIGNAL_PROPERTIES

#include <fstream>

using namespace std;

class SignalProperties{
	private:
		bool analog;
		double noise;
		double xMove;
		double yMove;
		
	public:
		SignalProperties();
		SignalProperties(const char * filename);
		~SignalProperties();
		
		void loadSignalProp(const char * filename);
		void save(const char * filename);
		
		bool isAnalog();
		double getNoise();
		double getXMove();
		double getYMove();
		
		void setAnalog(bool a);
		void setNoise(double n);
		void setXMove(double xm);
		void setYMove(double ym);
		
		friend ofstream & operator<<(ofstream &out, const SignalProperties & sp);
		friend ifstream & operator>>(ifstream &in, SignalProperties & sp);
};

#endif
